Subject: bug#48714: 28.0.50; Inconsistent font after theme modus-operandi upgrade

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 May 2021 15:55:10 +0300

> From: Pankaj Jangid <[email-masked]>
> Date: Fri, 28 May 2021 18:13:54 +0530
> 
> I have this setting in my init file:
> 
> --8<---------------cut here---------------start------------->8---
> (when (window-system)
>   (custom-set-variables
>    '(modus-themes-slanted-constructs t)
>    '(modus-themes-bold-constructs nil))
>   (load-theme 'modus-operandi))
> --8<---------------cut here---------------end--------------->8---
> 
> After upgrade the new version of modus-themes is merged on master, I get
> the view attached as ‘emacs_1.png’.
> 
> If I comment-out the above lines in init file and then ‘M-x load-theme
> RET modus-operandi RET’ after the startup, I get the view as in
> ‘emacs_2.png’.
> 
> Notice the font difference. And this difference is causing problems in
> other areas. Like Gnus group buffer; the lines are not aligned properly.

I don't understand: these 2 are defcustoms.  If you don't like their
effects, just leave them at their default values.